Update properties of an existing candidate . Returns the Candidate.
Request
PATCH https://api.comeet.co/candidates/{uid}
Include in the payload object only the properties that need to be updated.
Request body parameters:
| Name | Type | Optional | Description |
|---|---|---|---|
| updated_by | object | Optional | |
| updated_by.type | string | Required | One of the following: user, source_contact, other, app |
| updated_by.name | string | Required | |
| updated_by.email | string | ||
| first_name | string | ||
| middle_name | string | ||
| last_name | string | ||
| string | |||
| phone | string | ||
| mobile_phone | string | ||
| national_id | string | ||
| linkedin_url | string | ||
| prospect_status | string | One of the following: Sourced, Contacted, Responded, Interested, Not interested, Do not contact | |
| address | object | ||
| custom_fields | object | Key-value pairs of custom candidate fields |
{
"updated_by": {
"type": "user",
"name": "Kelly Lee",
"email": "[email protected]"
},
"phone": "+1-666-000-0000"
}Response
{
"uid": "00.AAA",
"position_uid": "11.11",
"source_contact": {
"full_name": "Michael Rosen",
"email": "[email protected]",
"phone": "555 555 1234"
},
"time_created": "2018-01-01T12:50:50Z",
"time_last_status_changed": "2018-01-01T12:50:50Z",
"current_steps": [
{
"name": "Technical interview",
"type": "In person Interview",
"time_scheduled": "2018-01-01T12:50:50Z"
}
],
"completed_steps": [
{
"name": "CV Screen",
"type": "Go/No-go",
"time_scheduled": "2018-01-01T12:50:50Z",
"time_completed": "2018-03-03T12:50:50Z"
}
],
"status": "In progress"
}{
"status": 404,
"error":"candidate_not_found",
"message":"Candidate not found"
}